import { PathPermissionReadGrantsDto, PathPermissionReadGrantsUnboxedDto } from "../../auth/dtos/PathPermissionReadGrantsDto";
import { PathPermissionWriteGrantsDto } from "../../auth/dtos/PathPermissionWriteGrantsDto";
export interface PathPermissionGrantsDto {
    /**
     * For JWTs, both read & write permissions have an effect.
     * For API keys, in practice, only the write permissions have an effect, as you can't (currently) use an API key
     * alone to download a file, although arguably this could change.
     */
    read: PathPermissionReadGrantsDto;
    write: PathPermissionWriteGrantsDto;
}
/**
 * Permissions relating to the files and folders matched by the outer FolderPublicPermissions object.
 */
export interface PathPermissionGrantsUnboxedDto {
    read: PathPermissionReadGrantsUnboxedDto;
    write: PathPermissionWriteGrantsDto;
}
export declare namespace PathPermissionGrantsDto {
    const denyAll: PathPermissionGrantsDto;
    function logicalAnd(a: PathPermissionGrantsDto, b: PathPermissionGrantsDto): PathPermissionGrantsDto;
}
