import { FileWriteGrantsDto } from "../../auth/dtos/FileWriteGrantsDto";
import { FolderWriteGrantsDto } from "../../auth/dtos/FolderWriteGrantsDto";
/**
 * Permissions relating to the writing of files and folders matched by the outer FolderPublicPermissions object.
 */
export interface PathPermissionWriteGrantsDto {
    /**
     * Grants that apply if the path is being treated as a file.
     */
    file: FileWriteGrantsDto;
    /**
     * Grants that apply if the path is being treated as a folder.
     */
    folder: FolderWriteGrantsDto;
}
export declare namespace PathPermissionWriteGrantsDto {
    const denyAll: PathPermissionWriteGrantsDto;
    function logicalAnd(a: PathPermissionWriteGrantsDto, b: PathPermissionWriteGrantsDto): PathPermissionWriteGrantsDto;
}
