export interface QueryParam {
    name: string;
    value: string;
}
/**
 * Not grouped by key (e.g. when duplicate keys are used) as this structure respects that the position of each
 * querystring parameter could be significant, even when duplicate keys are used. E.g. for an image transformation, you
 * may want to rotate the image, add an overlay, and then rotate it again. If the 2x rotations were grouped, you would
 * get a different behaviour.
 */
export declare type OrderSensitiveQueryParams = QueryParam[];
