import { FieldWithMetadata } from "../../../plugins/qsToJsonMapper/model/ObjectWithMetadata";
export declare class ObjectAutoCompleter {
    /**
     * Fills in default and constant fields, recursively.
     *
     * Algorithm favours creating an entire object tree that is 100% complete (when determining which 'possibleTypes' to
     * use).
     */
    autoComplete<T>(object: FieldWithMetadata<T>): FieldWithMetadata<T>;
    private getAutoFillValue;
    private tryAutoComplete;
    private tryAutoCompletePossibleTypeNonScalar;
    private tryAutoCompletePossibleTypeOnArray;
    private tryAutoCompletePossibleTypeOnObject;
    /**
     * Sorts all viable options to make the autocomplete behaviour deterministic. We do this by locating a field within
     * each type that has a 'Query Param Precedence: X' meta comment, and then sorting by X. If we can't find the field,
     * then we issue a warning, since this will result in a selection that could change if we add new types to the schema
     * in the future.
     */
    private sortPossibleTypes;
    private getQueryParamPrecedence;
}
