import { QueryParamDefinitionMap } from "../../../plugins/qsToJsonMapper/model/QueryParamDefinitionMap";
import { JSONSchema7 } from "json-schema";
import { WithWarnings } from "../../../plugins/qsToJsonMapper/model/WithWarnings";
export declare class QueryParamDefinitionFactory {
    private static readonly metadataPrefix;
    private static readonly namePrefix;
    private static readonly titlePrefix;
    private static readonly constantRewritePrefix;
    static readonly precedencePrefix = "Query Param Precedence: ";
    private static readonly precedence;
    static createDefinitions(schema: JSONSchema7): WithWarnings<QueryParamDefinitionMap>;
    static getQueryParamName(schema: JSONSchema7): string | undefined;
    static getQueryParamTitle(schema: JSONSchema7): string | undefined;
    static getQueryParamConstantRewrite(schema: JSONSchema7): string | undefined;
    static getQueryParamPrecedence(schema: JSONSchema7): number | undefined;
    static getQueryParamDescription(schema: JSONSchema7): string | undefined;
    private static getQuerySchemaMetadata;
    /**
     * Combine query params that have the same name, same type, and same JSON path. This can occur on polymorphic types,
     * e.g. the "type" discriminator on 5 different types within a union will result in 5 identical query param definitions.
     */
    private static conflateQueryParams;
    /**
     * If a query param references multiple property/type pairs, then sort by the order in which we want to attempt
     * deserialization in. Since querystring values arrive as strings, if a query param supports numbers _or_ strings,
     * we need to ensure deserialization is first attempted with the number type, and then fall back onto string. This
     * method essentially sorts the query param definitions by the order in which deserialization should be attempted in,
     * from most narrow to broad.
     */
    private static sortQueryParamsByTypePrecedence;
    private static createDefinitionEntries;
}
